
<nav class="navbar navbar-inverse">
  <div class="container-fluid">
    <div class="navbar-header">
      <div class="navbar-brand">Visaal</div>
    </div>
    <ul class="nav navbar-nav navbar-right">
      <li><a (click)="accueil()"><span class="glyphicon glyphicon-home"></span> Accueil</a></li>
      <li><a (click)="disco()"><span class="glyphicon glyphicon-log-out"></span> Sign Out</a></li>
    </ul>
  </div>
</nav>

<div class="logo"><img src="assets/logoVisaal.jpg" width=400px height=100px;></div>

<div class="sidenav">
  <div *ngIf="authService.currentUser">
    <h5 class="text-primary soignant">Le Soignant</h5>
    <!--<h4>
      <strong>ID:</strong> {{ authService.currentUserId }}
    </h4>-->
    <h4>
      <strong>Email:</strong> {{ authService.currentUserName }}
    </h4>
    <br>
    <div>
      <button (click)="listePatient()" class="btn btn-info">Liste des Patients</button>
    </div>
    <br>
    <div>
      <button (click)="addPatient()" class="btn btn-info">Ajouter un patient</button>
    </div>
    <br>
    <div>
      <div>
        <button (click)="listeSoignant()" class="btn btn-info">Liste des soignants</button>
      </div>
      <br>
    </div>
    <br>
    <button (click)="disco()" class="btn btn-info">Deconnexion</button>
  </div>
</div>
<div class="col-md-3 wrapper">
  <h2 class="text-center">Ajouter un Soignant</h2>
  <form [formGroup]="addForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label>Civilité: </label>
      <select formControlName="sex" class=form-control>
        <option value="monsieur" label="Monsieur"></option>
        <option value="madame" label="Madame"></option>
      </select>
        <div *ngIf="submitted && addForm.get('sex').invalid" class="errors">Veuillez saisir le sex du soignant</div>
    </div>
    <div class="form-group">
      <label>Nom:</label>
      <input type="text" formControlName="lastName" placeholder="Nom" class="form-control">
      <div *ngIf="submitted && addForm.get('lastName').invalid" class="errors">Veuillez saisir le nom du patient</div>
    </div>
    <div class="form-group">
      <label>Prenom:</label>
      <input type="text" formControlName="firstName" placeholder="firstName" class="form-control">
      <div *ngIf="submitted && addForm.get('firstName').invalid" class="errors">Veuillez saisir le prenom du patient</div>
    </div>
    <div class="form-group">
      <label>Date de naissance:</label>
      <input type="date" formControlName="dateOfBirthday" placeholder="Date de naissance" class="form-control">
      <div *ngIf="submitted && addForm.get('dateOfBirthday').invalid" class="errors">Veuillez saisir l'age du patient</div>
    </div>
    <div class="form-group">
      <label>Service:</label>
      <select formControlName="service" class=form-control>
        <option value=ophtalmologie>ophtalmologie</option>
        <option value=pediatrie>pediatrie</option>
        <option value=odontologie>odontologie</option>
        <option value=chirurgie>chirurgie</option>
      </select>
      <div *ngIf="submitted && addForm.get('service').invalid" class="errors">Veuillez selectionner un service</div>
    </div>
    <button type="submit"  class="btn btn-info">Ajouter</button>
  </form>
</div>
